# Generated by Django 3.2.22 on 2023-11-09 17:08

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0031_auto_20231003_1603'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3'), ('hypersic', 'hypersic'), ('tinn', 'tinn'), ('sicraweb-wsprotocollodm', 'sicraweb-wsprotocollodm'), ('siscom', 'siscom')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3'), ('hypersic', 'hypersic'), ('tinn', 'tinn'), ('sicraweb-wsprotocollodm', 'sicraweb-wsprotocollodm'), ('siscom', 'siscom')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='SiscomConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('url', models.URLField(verbose_name='URL')),
                ('license_code', models.CharField(max_length=16, verbose_name='codice licenza')),
                ('operator_denomination', models.CharField(max_length=128, null=True, verbose_name='operator denomination')),
                ('classification_category', models.CharField(max_length=16, null=True, verbose_name='classification category')),
                ('classification_class', models.CharField(max_length=16, null=True, verbose_name='classification class')),
                ('folder_id', models.CharField(max_length=16, null=True, verbose_name='folder ID')),
                ('mail_type', models.CharField(max_length=16, null=True, verbose_name='mail type')),
                ('office_id', models.CharField(help_text='The office id is provided to the institution by the protocol manager', max_length=16, verbose_name='office id')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='siscom_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='siscomconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_siscomconfig_unique_service_is_active_true'),
        ),
    ]
